Support » Plugin: Strong Testimonials » Fatal Error: Cannot use string offset

  • Resolved My247restore

    (@my247restore)


    Somewhere a long the most recent updates something broke resulting in the following specific to the Testimonials.

    Here’s the Debug info

    Warning: Illegal string offset ‘slideshow’ in /home/e3zm1bf5un51/public_html/wp-content/themes/choices/includes/admin/compat.php on line 48

    Fatal error: Uncaught Error: Cannot use string offset as an array in /home/e3zm1bf5un51/public_html/wp-content/themes/choices/includes/admin/compat.php:48 Stack trace: #0 /home/e3zm1bf5un51/public_html/wp-includes/class-wp-hook.php(287): avia_backend_compatibility_custom_field_filter(”, 15406) #1 /home/e3zm1bf5un51/public_html/wp-includes/plugin.php(206): WP_Hook->apply_filters(”, Array) #2 /home/e3zm1bf5un51/public_html/wp-content/themes/choices/framework/php/function-set-avia-frontend.php(262): apply_filters(‘avia_post_meta_…’, ”, 15406) #3 /home/e3zm1bf5un51/public_html/wp-includes/class-wp-hook.php(289): avia_post_meta(Object(WP_Post)) #4 /home/e3zm1bf5un51/public_html/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(”, Array) #5 /home/e3zm1bf5un51/public_html/wp-includes/plugin.php(544): WP_Hook->do_action(Array) #6 /home/e3zm1bf5un51/public_html/wp-includes/class-wp-query.php(4272): do_action_ref_array(‘the_post’, Array) #7 /home/e3zm1bf5un51/public_html/wp-includes/query.php(1172): WP_Query->setup_p in /home/e3zm1bf5un51/public_html/wp-content/themes/choices/includes/admin/compat.php on line 48
    There has been a critical error on your website.

    Screenshots:
    https://snipboard.io/CjvG8q.jpg

    https://snipboard.io/5BqkwN.jpg

    https://snipboard.io/EnPSQM.jpg

    Help appreciated, Thank you

    The page I need help with: [log in to see the link]

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Support mplusb

    (@mplusb)

    Hi @my247restore,

    Thank you for reaching out to us!
    Unfortunately those errors do not seem to be from our plugin.
    They seem to be from the theme.
    I recommend reaching out to the theme’s support team as they will know better how to help.

    Warmly,
    Mihaela

    I’ve determined this issue is a PHP compatibility issue with anything higher than 7 for my theme. Not the plugin.

    Thank you for your quick response.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.